edu.sc.seis.sod.process.waveform

## Class SacWriter

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.AbstractFileWriter
  - - edu.sc.seis.sod.process.waveform.AbstractSeismogramWriter
    - - edu.sc.seis.sod.process.waveform.SacWriter

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter

      public class SacWriter
      extends AbstractSeismogramWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_FILE_TEMPLATE`

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.AbstractSeismogramWriter

      `COOKIE_PREFIX, storeSeismogramsInDB, SVN_PARAM`

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.AbstractFileWriter

      `DEFAULT_FILE_TEMPLATE_WO_EXT, DEFAULT_PREFIX, DEFAULT_WORKING_DIR, INDEX_VAR, origTemplate, prefix, template, velocitizer, workingDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SacWriter()`
    `SacWriter(org.w3c.dom.Element el)`
    `SacWriter(java.util.List<edu.sc.seis.sod.process.waveform.SacProcess> processes)`
    `SacWriter(java.lang.String workingDir)`
    `SacWriter(java.lang.String workingDir, java.lang.String fileTemplate)`
    `SacWriter(java.lang.String workingDir, java.lang.String fileTemplate, java.lang.String prefix, java.util.List<edu.sc.seis.sod.process.waveform.SacProcess> processes, boolean storeSeismogramsInDB, boolean littleEndian)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyProcessors(edu.sc.seis.seisFile.sac.SacTimeSeries writer, edu.sc.seis.fissuresUtil.cache.CacheEvent ev, edu.iris.Fissures.network.ChannelImpl chan)`
    `edu.sc.seis.fissuresUtil.xml.SeismogramFileTypes` | `getFileType()`
    `void` | `write(java.lang.String location, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis, edu.iris.Fissures.network.ChannelImpl chan, edu.sc.seis.fissuresUtil.cache.CacheEvent ev)`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.AbstractSeismogramWriter

      `accept, addBytesWritten, getBytesWritten, getCookieName`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.AbstractFileWriter

      `checkParentDirs, extractFileTemplate, extractPrefix, extractWorkingDir, generate, generate, generate, getTemplate, removeExisting, removeExisting, removeExisting`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILE_TEMPLATE

          public static final java.lang.String DEFAULT_FILE_TEMPLATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SacWriter

          public SacWriter(org.w3c.dom.Element el)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SacWriter

          public SacWriter()
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SacWriter

          public SacWriter(java.lang.String workingDir)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SacWriter

          public SacWriter(java.lang.String workingDir,
                           java.lang.String fileTemplate)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SacWriter

          public SacWriter(java.util.List<edu.sc.seis.sod.process.waveform.SacProcess> processes)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### SacWriter

          public SacWriter(java.lang.String workingDir,
                           java.lang.String fileTemplate,
                           java.lang.String prefix,
                           java.util.List<edu.sc.seis.sod.process.waveform.SacProcess> processes,
                           boolean storeSeismogramsInDB,
                           boolean littleEndian)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### write

          public void write(java.lang.String location,
                            edu.iris.Fissures.seismogramDC.LocalSeismogramImpl seis,
                            edu.iris.Fissures.network.ChannelImpl chan,
                            edu.sc.seis.fissuresUtil.cache.CacheEvent ev)
                     throws java.lang.Exception

      Specified by:
        `write` in class `AbstractSeismogramWriter`
      Throws:
        `java.lang.Exception`

    - #### applyProcessors

          public void applyProcessors(edu.sc.seis.seisFile.sac.SacTimeSeries writer,
                                      edu.sc.seis.fissuresUtil.cache.CacheEvent ev,
                                      edu.iris.Fissures.network.ChannelImpl chan)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFileType

          public edu.sc.seis.fissuresUtil.xml.SeismogramFileTypes getFileType()

      Specified by:
        `getFileType` in class `AbstractSeismogramWriter`